Dieser Inhalt ist in der von Ihnen ausgewählten Sprache nicht verfügbar.
APIs
APIs
Abstract
Chapter 1. APIs Link kopierenLink in die Zwischenablage kopiert!
You can access APIs for to create and manage application resources, channels, subscriptions, and to query information.
For more information, review the API documentation for each of the following resources:
1.1. Clusters API Link kopierenLink in die Zwischenablage kopiert!
1.1.1. Overview Link kopierenLink in die Zwischenablage kopiert!
This documentation is for the cluster resource for Red Hat Advanced Cluster Management for Kubernetes. Cluster resource has four possible requests: create, query, delete and update.
1.1.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version : 2.0.0
1.1.1.2. Contact information Link kopierenLink in die Zwischenablage kopiert!
Contact Email : apiteam@swagger.io
1.1.1.3. License information Link kopierenLink in die Zwischenablage kopiert!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.1.1.4. URI scheme Link kopierenLink in die Zwischenablage kopiert!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.1.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- cluster.open-cluster-management.io : Create and manage clusters
1.1.1.6. External Docs Link kopierenLink in die Zwischenablage kopiert!
Description : Find out more about Swagger.
URL : http://swagger.io
1.1.2. Paths Link kopierenLink in die Zwischenablage kopiert!
1.1.2.1. Query all clusters Link kopierenLink in die Zwischenablage kopiert!
GET /cluster.open-cluster-management.io/v1/managedclusters
GET /cluster.open-cluster-management.io/v1/managedclusters
1.1.2.1.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query your clusters for more details.
1.1.2.1.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
1.1.2.1.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.1.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
cluster/yaml
1.1.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- cluster.open-cluster-management.io
1.1.2.2. Create a cluster Link kopierenLink in die Zwischenablage kopiert!
POST /cluster.open-cluster-management.io/v1/managedclusters
POST /cluster.open-cluster-management.io/v1/managedclusters
1.1.2.2.1. Description Link kopierenLink in die Zwischenablage kopiert!
Create a cluster
1.1.2.2.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the cluster to be created. |
1.1.2.2.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.2.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
cluster/yaml
1.1.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- cluster.open-cluster-management.io
1.1.2.2.6. Example HTTP request Link kopierenLink in die Zwischenablage kopiert!
1.1.2.2.6.1. Request body Link kopierenLink in die Zwischenablage kopiert!
1.1.2.3. Query a single cluster Link kopierenLink in die Zwischenablage kopiert!
GET /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
GET /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
1.1.2.3.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query a single cluster for more details.
1.1.2.3.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
cluster_name | Name of the cluster that you want to query. | string |
1.1.2.3.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.3.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- cluster.open-cluster-management.io
1.1.2.4. Delete a cluster Link kopierenLink in die Zwischenablage kopiert!
DELETE /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
DELETE /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
1.1.2.4.1. Description Link kopierenLink in die Zwischenablage kopiert!
Delete a single cluster
1.1.2.4.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
cluster_name | Name of the cluster that you want to delete. | string |
1.1.2.4.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.4.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- cluster.open-cluster-management.io
1.1.3. Definitions Link kopierenLink in die Zwischenablage kopiert!
1.1.3.1. Cluster Link kopierenLink in die Zwischenablage kopiert!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| Name | Schema |
|---|---|
|
hubAcceptsClient | bool |
|
managedClusterClientConfigs | < managedClusterClientConfigs > array |
|
leaseDurationSeconds | integer (int32) |
managedClusterClientConfigs
| Name | Description | Schema |
|---|---|---|
|
URL | string | |
|
CABundle |
Pattern : | string (byte) |
1.2. Channels API Link kopierenLink in die Zwischenablage kopiert!
1.2.1. Overview Link kopierenLink in die Zwischenablage kopiert!
This documentation is for the Channel resource for Red Hat Advanced Cluster Management for Kubernetes. The Channel resource has four possible requests: create, query, delete and update.
1.2.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version : 2.0.0
1.2.1.2. Contact information Link kopierenLink in die Zwischenablage kopiert!
Contact Email : apiteam@swagger.io
1.2.1.3. License information Link kopierenLink in die Zwischenablage kopiert!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.2.1.4. URI scheme Link kopierenLink in die Zwischenablage kopiert!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- channels.apps.open-cluster-management.io : Create and manage deployables
1.2.1.6. External Docs Link kopierenLink in die Zwischenablage kopiert!
Description : Find out more about Swagger.
URL : http://swagger.io
1.2.2. Paths Link kopierenLink in die Zwischenablage kopiert!
1.2.2.1. Create a channel Link kopierenLink in die Zwischenablage kopiert!
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels
1.2.2.1.1. Description Link kopierenLink in die Zwischenablage kopiert!
Create a channel.
1.2.2.1.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Body |
body | Parameters describing the deployable to be created. |
1.2.2.1.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.2.2.1.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.2.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- channels.apps.open-cluster-management.io
1.2.2.1.6. Example HTTP request Link kopierenLink in die Zwischenablage kopiert!
1.2.2.1.6.1. Request body Link kopierenLink in die Zwischenablage kopiert!
1.2.2.2. Query all channels for the target namespace Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels
1.2.2.2.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query your channels for more details.
1.2.2.2.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.2.2.2.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.2.2.2.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.2.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- channels.apps.open-cluster-management.io
1.2.2.3. Query a single channels of a namespace Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels/{channel_name}
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels/{channel_name}
1.2.2.3.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query a single channels for more details.
1.2.2.3.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
channel_name | Name of the deployable that you wan to query. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.2.2.3.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.2.2.3.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- channels.apps.open-cluster-management.io
1.2.2.4. Delete a Channel Link kopierenLink in die Zwischenablage kopiert!
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels/{channel_name}
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/channels/{channel_name}
1.2.2.4.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
channel_name | Name of the Channel that you want to delete. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.2.2.4.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.2.2.4.3. Tags Link kopierenLink in die Zwischenablage kopiert!
- channels.apps.open-cluster-management.io
1.2.3. Definitions Link kopierenLink in die Zwischenablage kopiert!
1.2.3.1. Channel Link kopierenLink in die Zwischenablage kopiert!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| Name | Description | Schema |
|---|---|---|
|
configMapRef | ObjectReference contains enough information to let you inspect or modify the referred object. | |
|
gates | ChannelGate defines criteria for promote to channel | |
|
pathname | string | |
|
secretRef | ObjectReference contains enough information to let you inspect or modify the referred object. | |
|
sourceNamespaces | < enum (Namespace, HelmRepo, ObjectBucket, Git, namespace, helmrepo, objectbucket, github) > array |
configMapRef
| Name | Description | Schema |
|---|---|---|
|
apiVersion | API version of the referent. | string |
|
fieldPath | If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object. TODO: this design is not final and this field is subject to change in the future. | string |
|
kind | Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds | string |
|
name | Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names | string |
|
namespace | Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/ | string |
|
resourceVersion | Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#concurrency-control-and-consistency | string |
|
uid | UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids | string |
gates
| Name | Description | Schema |
|---|---|---|
|
annotations | typical annotations of k8s | |
|
labelSelector | A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects. | |
|
name | string |
annotations
| Name | Schema |
|---|---|
|
key | string |
|
value | string |
labelSelector
| Name | Description | Schema |
|---|---|---|
|
matchExpressions | matchExpressions is a list of label selector requirements. The requirements are ANDed. | < matchExpressions > array |
|
matchLabels | matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed. | < string, string > map |
matchExpressions
| Name | Description | Schema |
|---|---|---|
|
key | key is the label key that the selector applies to. | string |
|
operator | operator represents a key’s relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist. | string |
|
values | values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch. | < string > array |
secretRef
| Name | Description | Schema |
|---|---|---|
|
apiVersion | API version of the referent. | string |
|
fieldPath | If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object. TODO: this design is not final and this field is subject to change in the future. | string |
|
kind | Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds | string |
|
name | Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names | string |
|
namespace | Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/ | string |
|
resourceVersion | Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#concurrency-control-and-consistency | string |
|
uid | UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids | string |
1.3. Subscriptions API Link kopierenLink in die Zwischenablage kopiert!
1.3.1. Overview Link kopierenLink in die Zwischenablage kopiert!
This documentation is for the Subscription resource for Red Hat Advanced Cluster Management for Kubernetes. The Subscription resource has four possible requests: create, query, delete and update.
1.3.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version : 2.0.0
1.3.1.2. Contact information Link kopierenLink in die Zwischenablage kopiert!
Contact Email : apiteam@swagger.io
1.3.1.3. License information Link kopierenLink in die Zwischenablage kopiert!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.3.1.4. URI scheme Link kopierenLink in die Zwischenablage kopiert!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.3.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- subscriptions.apps.open-cluster-management.io : Create and manage subscriptions
1.3.1.6. External Docs Link kopierenLink in die Zwischenablage kopiert!
Description : Find out more about Swagger.
URL : http://swagger.io
1.3.2. Paths Link kopierenLink in die Zwischenablage kopiert!
1.3.2.1. Create a subscription Link kopierenLink in die Zwischenablage kopiert!
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions
1.3.2.1.1. Description Link kopierenLink in die Zwischenablage kopiert!
Create a subscription.
1.3.2.1.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Body |
body | Parameters describing the subscription to be created. |
1.3.2.1.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.3.2.1.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
subscription/yaml
1.3.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- subscriptions.apps.open-cluster-management.io
1.3.2.1.6. Example HTTP request Link kopierenLink in die Zwischenablage kopiert!
1.3.2.1.6.1. Request body Link kopierenLink in die Zwischenablage kopiert!
1.3.2.2. Query all subscriptions Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions
1.3.2.2.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query your subscriptions for more details.
1.3.2.2.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.3.2.2.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.3.2.2.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
subscription/yaml
1.3.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- subscriptions.apps.open-cluster-management.io
1.3.2.3. Query a single subscription Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions/{subscription_name}
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions/{subscription_name}
1.3.2.3.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query a single subscription for more details.
1.3.2.3.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Path |
subscription_name | Name of the subscription that you wan to query. | string |
1.3.2.3.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.3.2.3.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- subscriptions.apps.open-cluster-management.io
1.3.2.4. Delete a subscription Link kopierenLink in die Zwischenablage kopiert!
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions/{subscription_name}
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/subscriptions/{subscription_name}
1.3.2.4.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Path |
subscription_name | Name of the subscription that you want to delete. | string |
1.3.2.4.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.3.2.4.3. Tags Link kopierenLink in die Zwischenablage kopiert!
- subscriptions.apps.open-cluster-management.io
1.3.3. Definitions Link kopierenLink in die Zwischenablage kopiert!
1.3.3.1. Subscription Link kopierenLink in die Zwischenablage kopiert!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | |
|
spec | |
|
status |
metadata
| Name | Schema |
|---|---|
|
annotations | object |
|
labels | object |
|
name | string |
|
namespace | string |
spec
| Name | Schema |
|---|---|
|
channel | string |
|
name | string |
|
overrides | < overrides > array |
|
packageFilter | |
|
packageOverrides | < packageOverrides > array |
|
placement | |
|
timewindow |
overrides
| Name | Schema |
|---|---|
|
clusterName | string |
|
clusterOverrides | < object > array |
packageFilter
| Name | Description | Schema |
|---|---|---|
|
annotations | < string, string > map | |
|
filterRef | ||
|
labelSelector | ||
|
version |
Pattern : | string |
filterRef
| Name | Schema |
|---|---|
|
name | string |
labelSelector
| Name | Schema |
|---|---|
|
matchExpressions | < matchExpressions > array |
|
matchLabels | < string, string > map |
matchExpressions
| Name | Schema |
|---|---|
|
key | string |
|
operator | string |
|
values | < string > array |
packageOverrides
| Name | Schema |
|---|---|
|
packageAlias | string |
|
packageName | string |
|
packageOverrides | < object > array |
placement
| Name | Schema |
|---|---|
|
clusterSelector | |
|
clusters | < clusters > array |
|
local | boolean |
|
placementRef |
clusterSelector
| Name | Schema |
|---|---|
|
matchExpressions | < matchExpressions > array |
|
matchLabels | < string, string > map |
matchExpressions
| Name | Schema |
|---|---|
|
key | string |
|
operator | string |
|
values | < string > array |
clusters
| Name | Schema |
|---|---|
|
name | string |
placementRef
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
resourceVersion | string |
|
uid | string |
timewindow
| Name | Schema |
|---|---|
|
daysofweek | < string > array |
|
hours | < hours > array |
|
location | string |
|
windowtype | enum (active, blocked, Active, Blocked) |
hours
| Name | Schema |
|---|---|
|
end | string |
|
start | string |
status
| Name | Schema |
|---|---|
|
lastUpdateTime | string (date-time) |
|
message | string |
|
phase | string |
|
reason | string |
|
statuses | object |
1.4. Placementrules API Link kopierenLink in die Zwischenablage kopiert!
1.4.1. Overview Link kopierenLink in die Zwischenablage kopiert!
This documentation is for the Placementrule resource for Red Hat Advanced Cluster Management for Kubernetes. The Placementrule resource has four possible requests: create, query, delete and update.
1.4.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version : 2.0.0
1.4.1.2. Contact information Link kopierenLink in die Zwischenablage kopiert!
Contact Email : apiteam@swagger.io
1.4.1.3. License information Link kopierenLink in die Zwischenablage kopiert!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.4.1.4. URI scheme Link kopierenLink in die Zwischenablage kopiert!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.4.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- placementrules.apps.open-cluster-management.io : Create and manage placementrules
1.4.1.6. External Docs Link kopierenLink in die Zwischenablage kopiert!
Description : Find out more about Swagger.
URL : http://swagger.io
1.4.2. Paths Link kopierenLink in die Zwischenablage kopiert!
1.4.2.1. Create a placementrule Link kopierenLink in die Zwischenablage kopiert!
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules
1.4.2.1.1. Description Link kopierenLink in die Zwischenablage kopiert!
Create a placementrule.
1.4.2.1.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Body |
body | Parameters describing the placementrule to be created. |
1.4.2.1.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.4.2.1.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.4.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- placementrules.apps.open-cluster-management.io
1.4.2.1.6. Example HTTP request Link kopierenLink in die Zwischenablage kopiert!
1.4.2.1.6.1. Request body Link kopierenLink in die Zwischenablage kopiert!
1.4.2.2. Query all placementrules Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules
1.4.2.2.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query your placementrules for more details.
1.4.2.2.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.4.2.2.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.4.2.2.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.4.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- placementrules.apps.open-cluster-management.io
1.4.2.3. Query a single placementrule Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules/{placementrule_name}
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules/{placementrule_name}
1.4.2.3.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query a single placementrule for more details.
1.4.2.3.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Path |
placementrule_name | Name of the placementrule that you want to query. | string |
1.4.2.3.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.4.2.3.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- placementrules.apps.open-cluster-management.io
1.4.2.4. Delete a placementrule Link kopierenLink in die Zwischenablage kopiert!
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules/{placementrule_name}
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/placementrules/{placementrule_name}
1.4.2.4.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Path |
placementrule_name | Name of the placementrule that you want to delete. | string |
1.4.2.4.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.4.2.4.3. Tags Link kopierenLink in die Zwischenablage kopiert!
- placementrules.apps.open-cluster-management.io
1.4.3. Definitions Link kopierenLink in die Zwischenablage kopiert!
1.4.3.1. Placementrule Link kopierenLink in die Zwischenablage kopiert!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| Name | Schema |
|---|---|
|
clusterConditions | < clusterConditions > array |
|
clusterReplicas | integer |
|
clusterSelector | |
|
clusters | < clusters > array |
|
policies | < policies > array |
|
resourceHint | |
|
schedulerName | string |
clusterConditions
| Name | Schema |
|---|---|
|
status | string |
|
type | string |
clusterSelector
| Name | Schema |
|---|---|
|
matchExpressions | < matchExpressions > array |
|
matchLabels | < string, string > map |
matchExpressions
| Name | Schema |
|---|---|
|
key | string |
|
operator | string |
|
values | < string > array |
clusters
| Name | Schema |
|---|---|
|
name | string |
policies
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
resourceVersion | string |
|
uid | string |
resourceHint
| Name | Schema |
|---|---|
|
order | string |
|
type | string |
1.5. Applications API Link kopierenLink in die Zwischenablage kopiert!
1.5.1. Overview Link kopierenLink in die Zwischenablage kopiert!
This documentation is for the Application resource for Red Hat Advanced Cluster Management for Kubernetes. Application resource has four possible requests: create, query, delete and update.
1.5.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version : 2.0.0
1.5.1.2. Contact information Link kopierenLink in die Zwischenablage kopiert!
Contact Email : apiteam@swagger.io
1.5.1.3. License information Link kopierenLink in die Zwischenablage kopiert!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.5.1.4. URI scheme Link kopierenLink in die Zwischenablage kopiert!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.5.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- applications.app.k8s.io : Create and manage applications
1.5.1.6. External Docs Link kopierenLink in die Zwischenablage kopiert!
Description : Find out more about Swagger.
URL : http://swagger.io
1.5.2. Paths Link kopierenLink in die Zwischenablage kopiert!
1.5.2.1. Create a application Link kopierenLink in die Zwischenablage kopiert!
POST /app.k8s.io/v1beta1/namespaces/{namespace}/applications
POST /app.k8s.io/v1beta1/namespaces/{namespace}/applications
1.5.2.1.1. Description Link kopierenLink in die Zwischenablage kopiert!
Create a application.
1.5.2.1.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Body |
body | Parameters describing the application to be created. |
1.5.2.1.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.5.2.1.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.5.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- applications.app.k8s.io
1.5.2.1.6. Example HTTP request Link kopierenLink in die Zwischenablage kopiert!
1.5.2.1.6.1. Request body Link kopierenLink in die Zwischenablage kopiert!
1.5.2.2. Query all applications Link kopierenLink in die Zwischenablage kopiert!
GET /app.k8s.io/v1beta1/namespaces/{namespace}/applications
GET /app.k8s.io/v1beta1/namespaces/{namespace}/applications
1.5.2.2.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query your applications for more details.
1.5.2.2.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.5.2.2.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.5.2.2.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.5.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- applications.app.k8s.io
1.5.2.3. Query a single application Link kopierenLink in die Zwischenablage kopiert!
GET /app.k8s.io/v1beta1/namespaces/{namespace}/applications/{application_name}
GET /app.k8s.io/v1beta1/namespaces/{namespace}/applications/{application_name}
1.5.2.3.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query a single application for more details.
1.5.2.3.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
application_name | Name of the application that you wan to query. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.5.2.3.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.5.2.3.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- applications.app.k8s.io
1.5.2.4. Delete a application Link kopierenLink in die Zwischenablage kopiert!
DELETE /app.k8s.io/v1beta1/namespaces/{namespace}/applications/{application_name}
DELETE /app.k8s.io/v1beta1/namespaces/{namespace}/applications/{application_name}
1.5.2.4.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
application_name | Name of the application that you want to delete. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.5.2.4.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.5.2.4.3. Tags Link kopierenLink in die Zwischenablage kopiert!
- applications.app.k8s.io
1.5.3. Definitions Link kopierenLink in die Zwischenablage kopiert!
1.5.3.1. Application Link kopierenLink in die Zwischenablage kopiert!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| Name | Schema |
|---|---|
|
assemblyPhase | string |
|
componentKinds | < object > array |
|
descriptor | |
|
info | < info > array |
|
selector | object |
descriptor
| Name | Schema |
|---|---|
|
description | string |
|
icons | < icons > array |
|
keywords | < string > array |
|
links | < links > array |
|
maintainers | < maintainers > array |
|
notes | string |
|
owners | < owners > array |
|
type | string |
|
version | string |
icons
| Name | Schema |
|---|---|
|
size | string |
|
src | string |
|
type | string |
links
| Name | Schema |
|---|---|
|
description | string |
|
url | string |
maintainers
| Name | Schema |
|---|---|
|
email | string |
|
name | string |
|
url | string |
owners
| Name | Schema |
|---|---|
|
email | string |
|
name | string |
|
url | string |
info
| Name | Schema |
|---|---|
|
name | string |
|
type | string |
|
value | string |
|
valueFrom |
valueFrom
| Name | Schema |
|---|---|
|
configMapKeyRef | |
|
ingressRef | |
|
secretKeyRef | |
|
serviceRef | |
|
type | string |
configMapKeyRef
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
key | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
resourceVersion | string |
|
uid | string |
ingressRef
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
host | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
path | string |
|
resourceVersion | string |
|
uid | string |
secretKeyRef
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
key | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
resourceVersion | string |
|
uid | string |
serviceRef
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
path | string |
|
port | integer (int32) |
|
resourceVersion | string |
|
uid | string |
1.6. Helm API Link kopierenLink in die Zwischenablage kopiert!
1.6.1. Overview Link kopierenLink in die Zwischenablage kopiert!
This documentation is for the HelmRelease resource for Red Hat Advanced Cluster Management for Kubernetes. The HelmRelease resource has four possible requests: create, query, delete and update.
1.6.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version : 2.0.0
1.6.1.2. Contact information Link kopierenLink in die Zwischenablage kopiert!
Contact Email : apiteam@swagger.io
1.6.1.3. License information Link kopierenLink in die Zwischenablage kopiert!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.6.1.4. URI scheme Link kopierenLink in die Zwischenablage kopiert!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.6.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- helmreleases.apps.open-cluster-management.io : Create and manage helmreleases
1.6.1.6. External Docs Link kopierenLink in die Zwischenablage kopiert!
Description : Find out more about Swagger.
URL : http://swagger.io
1.6.2. Paths Link kopierenLink in die Zwischenablage kopiert!
1.6.2.1. Create a helmrelease Link kopierenLink in die Zwischenablage kopiert!
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases
POST /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases
1.6.2.1.1. Description Link kopierenLink in die Zwischenablage kopiert!
Create a helmrelease.
1.6.2.1.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Body |
body | Parameters describing the helmrelease to be created. |
1.6.2.1.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.6.2.1.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.6.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- helmreleases.apps.open-cluster-management.io
1.6.2.1.6. Example HTTP request Link kopierenLink in die Zwischenablage kopiert!
1.6.2.1.6.1. Request body Link kopierenLink in die Zwischenablage kopiert!
1.6.2.2. Query all helmreleases Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases
1.6.2.2.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query your helmreleases for more details.
1.6.2.2.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.6.2.2.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.6.2.2.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/yaml
1.6.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- helmreleases.apps.open-cluster-management.io
1.6.2.3. Query a single helmrelease Link kopierenLink in die Zwischenablage kopiert!
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases/{helmrelease_name}
GET /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases/{helmrelease_name}
1.6.2.3.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query a single helmrelease for more details.
1.6.2.3.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
helmrelease_name | Name of the helmrelease that you wan to query. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.6.2.3.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.6.2.3.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- helmreleases.apps.open-cluster-management.io
1.6.2.4. Delete a helmrelease Link kopierenLink in die Zwischenablage kopiert!
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases/{helmrelease_name}
DELETE /apps.open-cluster-management.io/v1/namespaces/{namespace}/helmreleases/{helmrelease_name}
1.6.2.4.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
helmrelease_name | Name of the helmrelease that you want to delete. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.6.2.4.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.6.2.4.3. Tags Link kopierenLink in die Zwischenablage kopiert!
- helmreleases.apps.open-cluster-management.io
1.6.3. Definitions Link kopierenLink in die Zwischenablage kopiert!
1.6.3.1. HelmRelease Link kopierenLink in die Zwischenablage kopiert!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
repo | |
|
spec | object |
|
status |
repo
| Name | Schema |
|---|---|
|
chartName | string |
|
configMapRef | |
|
secretRef | |
|
source | |
|
version | string |
configMapRef
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
resourceVersion | string |
|
uid | string |
secretRef
| Name | Schema |
|---|---|
|
apiVersion | string |
|
fieldPath | string |
|
kind | string |
|
name | string |
|
namespace | string |
|
resourceVersion | string |
|
uid | string |
source
github
| Name | Schema |
|---|---|
|
branch | string |
|
chartPath | string |
|
urls | < string > array |
helmRepo
| Name | Schema |
|---|---|
|
urls | < string > array |
status
| Name | Schema |
|---|---|
|
conditions | < conditions > array |
|
deployedRelease |
conditions
| Name | Schema |
|---|---|
|
lastTransitionTime | string (date-time) |
|
message | string |
|
reason | string |
|
status | string |
|
type | string |
deployedRelease
| Name | Schema |
|---|---|
|
manifest | string |
|
name | string |
1.7. Policy API Link kopierenLink in die Zwischenablage kopiert!
1.7.1. Overview Link kopierenLink in die Zwischenablage kopiert!
This documentation is for the Policy resource for Red Hat Advanced Cluster Management for Kubernetes. The Policy resource has four possible requests: create, query, delete and update.
1.7.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version : 2.0.0
1.7.1.2. Contact information Link kopierenLink in die Zwischenablage kopiert!
Contact Email : apiteam@swagger.io
1.7.1.3. License information Link kopierenLink in die Zwischenablage kopiert!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.7.1.4. URI scheme Link kopierenLink in die Zwischenablage kopiert!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.7.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- policy.open-cluster-management.io/v1 : Create and manage policies
1.7.1.6. External Docs Link kopierenLink in die Zwischenablage kopiert!
Description : Find out more about Swagger.
URL : http://swagger.io
1.7.2. Paths Link kopierenLink in die Zwischenablage kopiert!
1.7.2.1. Create a policy Link kopierenLink in die Zwischenablage kopiert!
POST /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
POST /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
1.7.2.1.1. Description Link kopierenLink in die Zwischenablage kopiert!
Create a policy.
1.7.2.1.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Body |
body | Parameters describing the policy to be created. |
1.7.2.1.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.7.2.1.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/json
1.7.2.1.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- policy.open-cluster-management.io
1.7.2.1.6. Example HTTP request Link kopierenLink in die Zwischenablage kopiert!
1.7.2.1.6.1. Request body Link kopierenLink in die Zwischenablage kopiert!
1.7.2.2. Query all policies Link kopierenLink in die Zwischenablage kopiert!
GET /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
GET /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
1.7.2.2.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query your policies for more details.
1.7.2.2.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to apply the policy to, for example, default. | string |
1.7.2.2.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.7.2.2.4. Consumes Link kopierenLink in die Zwischenablage kopiert!
-
application/json
1.7.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- policy.open-cluster-management.io
1.7.2.3. Query a single policy Link kopierenLink in die Zwischenablage kopiert!
GET /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
GET /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
1.7.2.3.1. Description Link kopierenLink in die Zwischenablage kopiert!
Query a single policy for more details.
1.7.2.3.2. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
policy_name | Name of the policy that you want to query. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.7.2.3.3. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.7.2.3.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- policy.open-cluster-management.io
1.7.2.4. Delete a policy Link kopierenLink in die Zwischenablage kopiert!
DELETE /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
DELETE /policy.open-cluster-management.io/v1/v1alpha1/namespaces/{namespace}/policies/{policy_name}
1.7.2.4.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
policy_name | Name of the policy that you want to delete. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
1.7.2.4.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.7.2.4.3. Tags Link kopierenLink in die Zwischenablage kopiert!
- policy.open-cluster-management.io
1.7.3. Definitions Link kopierenLink in die Zwischenablage kopiert!
1.7.3.1. Policy Link kopierenLink in die Zwischenablage kopiert!
| Name | Description | Schema |
|---|---|---|
|
apiVersion | The versioned schema of Policy. | string |
|
kind | String value that represents the REST resource. | string |
|
metadata | Describes rules that define the policy. | object |
spec
| Name | Description | Schema |
|---|---|---|
|
remediationAction | Value that represents how violations are handled as defined in the resource. | string |
|
namespace | Value that represents which namespaces the policy is applied. | string |
policy-templates
| Name | Description | Schema |
|---|---|---|
|
apiVersion | The versioned schema of Policy. | string |
|
kind | String value that represents the REST resource. | string |
|
complianceType | The compliance standard. | string |
|
metadata | Describes rules that define the policy. | object |
|
clusterConditions | Section to define labels. | string |
|
rules | string |
selector
| Name | Description | Schema |
|---|---|---|
|
matchLabels | The label that is required for the policy to be applied to a namespace. | object |
|
cloud | The label that is required for the policy to be applied to a cloud provider. | string |
rules
| Name | Description | Schema |
|---|---|---|
|
apiGroups | List of APIs that the rule applies to. | string |
|
resources | A list of resource types. | object |
|
verbs | A list of verbs. | string |